## IdeDeviceProvider IdeDeviceProvider |

## Functions

#define | IDE_TYPE_DEVICE_PROVIDER
void | ide_device_provider_emit_device_added ()
void | ide_device_provider_emit_device_removed ()
GPtrArray * | ide_device_provider_get_devices ()
gboolean | ide_device_provider_get_settled ()

## Properties

IdeContext * | context | Write / Construct Only
gboolean | settled | Read

## Signals

void | device-added | Run Last
void | device-removed | Run Last

## Types and Values

struct | IdeDeviceProviderInterface
| IdeDeviceProvider

## Object Hierarchy

        GInterface
        ╰── IdeDeviceProvider

## Prerequisites

IdeDeviceProvider requires IdeObject.

## Description

## Functions

### IDE_TYPE_DEVICE_PROVIDER

    #define IDE_TYPE_DEVICE_PROVIDER (ide_device_provider_get_type())

### ide_device_provider_emit_device_added ()

    void
    ide_device_provider_emit_device_added (IdeDeviceProvider *provider,
                                           IdeDevice *device);

### ide_device_provider_emit_device_removed ()

    void
    ide_device_provider_emit_device_removed
                                   (IdeDeviceProvider *provider,
                                    IdeDevice *device);

### ide_device_provider_get_devices ()

    GPtrArray *
    ide_device_provider_get_devices (IdeDeviceProvider *provider);

Retrieves a list of devices currently managed by `provider` .

#### Returns

A GPtrArray of IdeDevice instances.

[transfer container][element-type IdeDevice*]

### ide_device_provider_get_settled ()

    gboolean
    ide_device_provider_get_settled (IdeDeviceProvider *provider);

## Types and Values

### struct IdeDeviceProviderInterface

    struct IdeDeviceProviderInterface {
      GTypeInterface parent_interface;

      gboolean   (*get_settled) (IdeDeviceProvider *provider);
      GPtrArray *(*get_devices) (IdeDeviceProvider *provider);
    };

### IdeDeviceProvider

    typedef struct _IdeDeviceProvider IdeDeviceProvider;

## Property Details

### The `“context”` property

      “context”                  IdeContext *

Context.

Flags: Write / Construct Only

### The `“settled”` property

      “settled”                  gboolean

If the device provider has settled.

Flags: Read

Default value: FALSE

## Signal Details

### The `“device-added”` signal

    void
    user_function (IdeDeviceProvider *idedeviceprovider,
                   IdeDevice         *arg1,
                   gpointer           user_data)

Flags: Run Last

### The `“device-removed”` signal

    void
    user_function (IdeDeviceProvider *idedeviceprovider,
                   IdeDevice         *arg1,
                   gpointer           user_data)

Flags: Run Last